/*
 * $Id: Entity_usage.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Entity.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Entity::get_usage"
  Tusage_t Entity::get_usage (void)
  {
    log_begin(Behavioural,FUNCTION);
    Tusage_t _return = _usage;
    log_end(Behavioural,FUNCTION);

    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo
